%global _hardened_build 1

Summary:	Run Tcl applications from /usr/bin
Name:		tcllauncher
Version:	1.10
Release:	1%{?dist}
License:	TCL
URL:		https://github.com/flightaware/tcllauncher
Source:		https://github.com/flightaware/tcllauncher/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# Check multiple Tcl locations for the app's Tcl files
Patch0:		tcllauncher-multi.patch

BuildRequires:	autoconf gcc
BuildRequires:  tcl-devel
Requires:	tclx
Requires:	tcl(abi) = 8.6

%description
tcllauncher lets Tcl programs run out of /usr/bin under their own name, be
installed in one place with their support files, and provides commands to
facilitate server-oriented application execution.

%prep
%autosetup -p1

%build
autoconf
%configure --libdir=%{_datadir}/tcl8.6 --disable-rpath
%make_build
chmod -x README ChangeLog license.terms

%install
%make_install

%files
%doc README ChangeLog
%license license.terms
%{_bindir}/tcllauncher
%{_mandir}/mann/tcllauncher.n.*
%{_datadir}/tcl8.6/Tcllauncher%{version}/*

%changelog
* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> - 1.10-1
- Updated to new version

* Sat Aug 18 2018 Greg Wildman <greg@techno.co.za> - 1.8-1
- Updated to new version

* Sat Mar 26 2016 Benji Wiebe <benjiwiebe_fedoraproject.org> - 1.6-3
- Removed executable permissions from doc files/license
- Revised description and summary
- Fixed Source link

* Thu Mar 17 2016 Benji Wiebe <benjiwiebe_fedoraproject.org> - 1.6-2
- Added description
- Minor improvments in spec file
